uuid: 4a82851f-2c73-43cf-b29c-19c571ae5812
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_comment_type
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Comment type'
source:
  plugin: d7_node_type
  constants:
    entity_type: node
    id_prefix: comment_node_
    label_suffix: comment
process:
  target_entity_type_id:
    -
      plugin: get
      source: constants/entity_type
  id:
    -
      plugin: concat
      source:
        - constants/id_prefix
        - type
    -
      plugin: static_map
      bypass: true
      map:
        comment_node_forum: comment_forum
  label:
    -
      plugin: concat
      source:
        - name
        - constants/label_suffix
      delimiter: ' '
destination:
  plugin: 'entity:comment_type'
migration_dependencies:
  required: {  }
  optional: {  }
